#
# spec file for package rdesktop (Version 1.5.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           rdesktop
BuildRequires:  openssl-devel xorg-x11-devel
Url:            http://www.rdesktop.org/
License:        GPL v2 or later
Group:          Productivity/Networking/Other
AutoReqProv:    on
Version:        1.5.0
Release:        24
Summary:        a Remote Desktop Protocol client
Source:         %{name}-%{version}.tar.bz2
Patch0:         rdesktop-1.4.0-lib64.dif
Patch1:         rdesktop-1.5.0-fs-fix-1.dif 
Patch2:         rdesktop-1.5.0-fix-segfault.dif
Patch3:         rdesktop-1.5.0-CVE-2008-1801.dif
Patch4:         rdesktop-1.5.0-CVE-2008-1802.dif
Patch5:         rdesktop-1.5.0-CVE-2008-1803.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
rdesktop is an open source client for Windows NT Terminal Server and
Windows 2000 Terminal Services, capable of natively speaking Remote
Desktop Protocol (RDP) in order to present the user's NT desktop.
Unlike Citrix ICA, no server extensions are required.



Authors:
--------
    Matt Chapman <matthewc@cse.unsw.edu.au>

%debug_package
%prep
%setup
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5

%build
%{suse_update_config}
autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" ./configure --prefix=/usr \
                                                         --libdir=%{_libdir} \
                                                         --mandir=%{_mandir} \
                                                         --with-openssl=/usr
make

%install
make DESTDIR=$RPM_BUILD_ROOT STRIP=true install
make DESTDIR=$RPM_BUILD_ROOT installman
mkdir -p $RPM_BUILD_ROOT/usr/share/rdesktop
cp -r keymaps $RPM_BUILD_ROOT/usr/share/rdesktop
chmod -R a+r $RPM_BUILD_ROOT/usr/share/rdesktop/keymaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc COPYING doc README
/usr/bin/rdesktop
/usr/share/rdesktop
#/usr/bin/rdp-srvr
%{_mandir}/man1/rdesktop.1.gz

%changelog
* Thu May 08 2008 - mc@suse.de
- fix multiple problems in rdesktop
  * CVE-2008-1801 - integer underflow vulnerability
  * CVE-2008-1802 - BSS overflow vulnerability
  * CVE-2008-1803 - integer signedness vulnerability
* Wed Apr 25 2007 - mc@suse.de
- fix segfaults after recent update of X.org
  [#267016]
* Mon Nov 06 2006 - schwab@suse.de
- Don't strip binaries.
* Tue Sep 19 2006 - mc@suse.de
- rdesktop (1.5.0)
  * SeamlessRDP - seamless windows support
  * Keymap fixes
  * Fix connection issues with Windows XP RTM
  * Keyboard handling improvements and fixes
  * SGI/Irix sound-driver fixes
  * Support for clipboard INCR protocol
  * Session Directory support
  * Support for long filenames on redirected drives
  * XOR ellipse drawing fix
  * Clipboard unicode support
  * Fix display issues with exotic color depths (30bpp, 32bpp, etc)
  * Large file support
  * The default color depth is now the depth of the root window
  * Basic support for Windows Vista Beta 2
  * Fix high cpu-usage in OSS-driver
* Mon Sep 11 2006 - mc@suse.de
- /usr/X11R6 => /usr/
* Fri May 26 2006 - schwab@suse.de
- Don't strip binaries.
* Thu May 04 2006 - mc@suse.de
- add xgl fix [#164671]
* Mon Mar 20 2006 - mc@suse.de
- fix Compiz makes rdesktop window entirely transparent
  [# 155335]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jun 03 2005 - mc@suse.de
- switch to version 1.4.1
  * persistent bitmap cache optimisations
  * support for more RDP-orders (ellipse, polygon)
  * libao sound-driver (for Mac OSX and others)
  * Unicode support for transmitted strings/filenames
  * Added korean keymap
  * Xembed fixes to work with krdc correctly
  * Portability fixes
  * Support for RDP-compression (all bpps)
  * process RDP recv queue if send queue is full (Debian bug #246461)
  * SGI/Irix sound-driver fixes
* Wed Mar 30 2005 - mc@suse.de
- switch to version 1.4.0
- remove rdesktop-1.2.0-24bit-color.dif, rdesktop-1.2.0-configure.dif
  and rdesktop-kdehead.patch
- add rdesktop-1.4.0-lib64.dif
* Tue Aug 24 2004 - mc@suse.de
- add rdesktop-kdehead.patch to make krdc working
  [#43860]
* Thu Feb 26 2004 - mc@suse.de
- switch to version 1.3.1
  * Crypto fixes for RDP5
  * Keyboard and keymap fixes
  * some endianess fixes for high color
  * portability enhancements
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Oct 30 2003 - mc@suse.de
- switch to version 1.3.0
* Mon Aug 18 2003 - mc@suse.de
- renamed rdesktop-1.2.0.dif to rdesktop-1.2.0-24bit-color.dif
- add rdesktop-1.2.0-configure.dif . Makes it possible to set
  CFLAGS from external.
- add -fno-strict-aliasing
- removed unused patches
  (rdesktop-unified-patch19-9-0.bz2, rdesktop-1.1.0.dif)
* Fri Jul 04 2003 - sndirsch@suse.de
- workaround for 24bit color depth problem (Bug #27726)
* Mon Jun 16 2003 - coolo@suse.de
- use BuildRoot
* Tue Mar 18 2003 - sndirsch@suse.de
- added missing keymaps (Bug #25565)
* Fri Jan 31 2003 - sndirsch@suse.de
- updated to release 1.2.0 (Bug #23211)
  * this features new keyboard mapping code, high encryption support
  and many small additions and bugfixes
* Fri Aug 23 2002 - uli@suse.de
- added patches from http://bibl4.oru.se/projects/rdesktop
  that have been reported to be necessary for proper operation
  (bug #18223)
* Wed Apr 24 2002 - uli@suse.de
- fixed for lib64
* Thu Oct 18 2001 - uli@suse.de
- initial package
